rte_bitmap(3)

NAME
rte_bitmap

SYNOPSIS

#include <rte_bitmap.h>

  Data Fields

uint64_t * array1
uint64_t * array2
uint32_t array1_size
uint32_t array2_size
uint32_t index1
uint32_t offset1
uint32_t index2
uint32_t go2

Detailed Description

Bitmap data structure

Definition at line 61 of file rte_bitmap.h.

Field Documentation

  uint64_t* array1
Bitmap array1

Definition at line 63 of file rte_bitmap.h.

  uint64_t* array2
Bitmap array2

Definition at line 64 of file rte_bitmap.h.

  uint32_t array1_size
Number of 64-bit slabs in array1 that are actually used

Definition at line 65 of file rte_bitmap.h.

  uint32_t array2_size
Number of 64-bit slabs in array2

Definition at line 66 of file rte_bitmap.h.

  uint32_t index1
Bitmap scan: Index of current array1 slab

Definition at line 69 of file rte_bitmap.h.

  uint32_t offset1
Bitmap scan: Offset of current bit within current array1 slab

Definition at line 70 of file rte_bitmap.h.

  uint32_t index2
Bitmap scan: Index of current array2 slab

Definition at line 71 of file rte_bitmap.h.

  uint32_t go2
Bitmap scan: Go/stop condition for current array2 cache line

Definition at line 72 of file rte_bitmap.h.

Author

Generated automatically by Doxygen for DPDK from the source code.